# Maintainer: Andreas Radke <andyrtr@archlinux.org>

pkgname=pappl
pkgver=1.2.0
pkgrel=1
pkgdesc="a simple C-based framework/library for developing CUPS Printer Applications"
arch=('x86_64')
url="https://www.msweet.org/pappl/"
license=('Apache' 'custom')
depends=('libcups' 'libjpeg-turbo' 'pam')
makedepends=('git')
source=(https://github.com/michaelrsweet/pappl/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz{,.sig})
sha256sums=('0ca084f153b082bba6fcfbf8b1c949012832327287e879b68e5d77a9e5a62b29'
            'SKIP')
#validpgpkeys=('845464660B686AAB36540B6F999559A027815955') # "Michael R Sweet <michael.r.sweet@gmail.com>"
validpgpkeys=('9086C3CDC66C3F563CF8F405BE67C75EC81F3244') # Michael R Sweet <msweet@msweet.org>

build() {
  cd "$pkgname-$pkgver"

  # The build system uses only DSOFLAGS but not LDFLAGS to build some libraries.
  export DSOFLAGS=${LDFLAGS}

  ./configure --prefix=/usr
  make
}

check() {
  cd "$pkgname-$pkgver"
  #make check

  # there's currently  no real test suite, 
  # the tool is only useful outside the fakeroot envireonment - when packaging it crashes:
  # testpappl: client.c:771: avahi_client_get_host_name_fqdn: Assertion `client' failed.
  # /startdir/PKGBUILD: line 43:  1878 Aborted                 (core dumped) ./testsuite/testpappl

  # run it later outside fakeroot!
  #./testsuite/testpappl 
}

package() {
  cd "$pkgname-$pkgver"
  make DESTDIR="$pkgdir/" install

  # install the testing tool
  install -Dm755 testsuite/testpappl -t "$pkgdir"/usr/bin
  # install docs
  install -Dm644 doc/* -t "$pkgdir"/usr/share/doc/$pkgname
  # add license + exception
  install -m644 -Dt "${pkgdir}/usr/share/licenses/${pkgname}" {LICENSE,NOTICE}
}
